/// <reference types="react" />
export declare const ModalHeader: import("@emotion/styled").StyledComponent<import("@mantine/core").ModalBaseHeaderProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ModalBody: import("@emotion/styled").StyledComponent<import("@mantine/core").ModalBaseBodyProps & import("react").RefAttributes<HTMLHeadingElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ModalFooter: import("@emotion/styled").StyledComponent<import("../../../../ui").FlexProps & import("react").RefAttributes<HTMLDivElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
